Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class FileNameAnalyzer

    java.lang.Object
      org.owasp.dependencycheck.analyzer.AbstractAnalyzer
          org.owasp.dependencycheck.analyzer.FileNameAnalyzer

All Implemented Interfaces:
  Analyzer

    public class FileNameAnalyzer

extends AbstractAnalyzer
implements Analyzer

Takes a dependency and analyzes the filename and determines the hashes.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`FileNameAnalyzer()`

Method Summary
`void` | `analyze(Dependency dependency, Engine engine)` Collects information about the file name.
`AnalysisPhase` | `getAnalysisPhase()` Returns the phase that the analyzer is intended to run in.
`String` | `getName()` Returns the name of the analyzer.
`Set<String>` | `getSupportedExtensions()` Returns a list of file EXTENSIONS supported by this analyzer.
`boolean` | `supportsExtension(String extension)` Returns whether or not this analyzer can process the given extension.

Methods inherited from class org.owasp.dependencycheck.analyzer.AbstractAnalyzer
`close, initialize, newHashSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.owasp.dependencycheck.analyzer.Analyzer
`close, initialize`

Constructor Detail

### FileNameAnalyzer

    public FileNameAnalyzer()

Method Detail

### getSupportedExtensions

    public Set<String> getSupportedExtensions()

  Returns a list of file EXTENSIONS supported by this analyzer.

  Specified by:
    `getSupportedExtensions` in interface `Analyzer`
  Returns:
    a list of file EXTENSIONS supported by this analyzer.

### getName

    public String getName()

  Returns the name of the analyzer.

  Specified by:
    `getName` in interface `Analyzer`
  Returns:
    the name of the analyzer.

### supportsExtension

    public boolean supportsExtension(String extension)

  Returns whether or not this analyzer can process the given extension.

  Specified by:
    `supportsExtension` in interface `Analyzer`
  Parameters:
    `extension` - the file extension to test for support.
  Returns:
    whether or not the specified file extension is supported by this analyzer.

### getAnalysisPhase

    public AnalysisPhase getAnalysisPhase()

  Returns the phase that the analyzer is intended to run in.

  Specified by:
    `getAnalysisPhase` in interface `Analyzer`
  Returns:
    the phase that the analyzer is intended to run in.

### analyze

    public void analyze(Dependency dependency,
                        Engine engine)
                 throws AnalysisException

  Collects information about the file name.

  Specified by:
    `analyze` in interface `Analyzer`
  Parameters:
    `dependency` - the dependency to analyze.
    `engine` - the engine that is scanning the dependencies
  Throws:
    `AnalysisException` - is thrown if there is an error reading the JAR file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.